* {
  box-sizing: border-box;
}

/* CSS do joystick | Início */
body
{
	<?php /* disable long press in iOS? */ ?>
	-webkit-touch-callout: none;
}
.mainUI
{
	border: 0px solid pink; 
	position: fixed; 
	top: 0px;  
	width:99%; 
	height:99%; 
	z-index: 1; 
	pointer-events: none; <?php /* allow click-through in transparent areas */ ?> 
}
.regionUI
{
	border: 0px solid yellow;
	position: absolute; 
	display: flex;
	flex-direction: row;
	pointer-events: none;
}
.buttonUI
{
	border: 0px solid lime;
	display: flex;
	flex-direction: column;
	justify-content: center;
	pointer-events: auto;	
	<?php /* filter: drop-shadow(0px 0px 20px white); */ ?>
}
.skyColor
{
	filter: hue-rotate(240deg) saturate(100%) brightness(100%) drop-shadow(0px 0px 20px white);
}
.baseColor
{
	filter: hue-rotate(24deg) saturate(68%) brightness(100%) drop-shadow(0px 0px 20px white);
}
.grayColor
{
	filter: hue-rotate(0deg) saturate(0%) brightness(100%) drop-shadow(0px 0px 20px white);
}
/* CSS do joystick | Fim */

h1,
h2,
h3,
p {
  font-weight: 300;
  color: #FFFFFF;
  margin: 0 0 1.4rem 0;
}
h1,
h2,
h3,
h4,
h5{
  line-height: 1.3;
  color: #FFFFFF;
}
a {
  text-decoration: none;
  color: inherit;
  font-weight: 400;
}
/**
 * Material Modal CSS
 */
.modal {
  will-change: visibility, opacity;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: left;
      -ms-flex-align: left;
          align-items: left;
  -webkit-box-pack: left;
      -ms-flex-pack: left;
          justify-content: left;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  overflow-y: auto;
  overflow-x: hidden;
  z-index: 1;
  visibility: hidden;
  opacity: 0;
  -webkit-transition: all 0.5s cubic-bezier(0.23, 1, 0.32, 1);
  transition: all 0.5s cubic-bezier(0.23, 1, 0.32, 1);
  -webkit-transition-delay: $modal-delay;
          transition-delay: $modal-delay;
}
.modal--active {
  visibility: visible;
  opacity: 1;
}
.modal--align-top {
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
}
.modal__bg {
  background: transparent;
}
.modal__dialog {
  max-width: 400px;
  /* Distância esquerda do modal */
  padding: 0.5rem;
}
.modal__content {
  will-change: transform, opacity;
  position: relative;
  /* Padding do conteúdo interno no modal */
  padding: 1.2rem;
  background: #333333;
  background-clip: padding-box;
  box-shadow: 0 12px 15px 0 rgba(0,0,0,0.25);
  opacity: 0;
  -webkit-transition: all 0.25s cubic-bezier(0.23, 1, 0.32, 1);
  transition: all 0.25s cubic-bezier(0.23, 1, 0.32, 1);
}
.modal__content--active {
  opacity: 1;
}
.modal__close {
  z-index: 2;
  cursor: pointer;
}
.modal__trigger {
  position: relative;
  display: inline-block;
  /* Tamanho do botão do modal  */
  padding: 0.6rem 1rem;
  color: rgba(255,255,255.7);
  line-height: 1;
  cursor: pointer;
  background: #333333;
  box-shadow: 0 2px 5px 0 rgba(0,0,0,0.26);
  -webkit-tap-highlight-color: rgba(0,0,0,0);
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  -webkit-transition: all 0.5s cubic-bezier(0.23, 1, 0.32, 1);
  transition: all 0.5s cubic-bezier(0.23, 1, 0.32, 1);
}
.modal__trigger--active {
  z-index: 1;
}
.modal__trigger:hover {
  background: #666666;
}
#modal__temp {
  will-change: transform, opacity;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: #333333;
  -webkit-transform: none;
          transform: none;
  opacity: 1;
  -webkit-transition: opacity 0.1s ease-out, -webkit-transform 0.5s cubic-bezier(0.23, 1, 0.32, 1);
  transition: opacity 0.1s ease-out, -webkit-transform 0.5s cubic-bezier(0.23, 1, 0.32, 1);
  transition: opacity 0.1s ease-out, transform 0.5s cubic-bezier(0.23, 1, 0.32, 1);
  transition: opacity 0.1s ease-out, transform 0.5s cubic-bezier(0.23, 1, 0.32, 1), -webkit-transform 0.5s cubic-bezier(0.23, 1, 0.32, 1);
}
/**
 * Demo specific CSS

body {
  height: 100vh;
}
 */
img {
  max-width: 100%;
}
.demo-btns header {
  z-index: 1;
  padding: 7vh 10vw;
  background: #333333;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: left;
      -ms-flex-align: left;
          align-items: left;
}
.demo-btns header h1 {
  z-index: 1;
  margin: 0;
  color: rgba(255,255,255.54);
  font-weight: 300;
}
.demo-btns .info {
  z-index: 1;
  padding: 1vh 1vw;
  /* padding: 3vh 10vw; */
  height: 0vh;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: left;
      -ms-flex-align: left;
          align-items: left;
  -webkit-box-pack: left;
      -ms-flex-pack: left;
          justify-content: left;
  -ms-flex-flow: column wrap;
      flex-flow: column wrap;
}
.demo-btns p {
  z-index: 1;
  text-align: left;
  color: #fff;
}
.demo-btns .link {
  z-index: 1;
  font-size: 12px;
}
.demo-btns .modal__trigger {
  z-index: 1;
  margin-right: 3px;
}
@media (max-width: 640px) {
  .demo-btns .modal__trigger {
    margin-bottom: 0.8rem;
  }
}
.demo-close {
  position: absolute;
  top: 0;
  right: 0;
  margin: 1.2rem;
  padding: 0.6rem;
  background: #FF0000;
  border-radius: 50%;
  -webkit-transition: all 0.5s cubic-bezier(0.23, 1, 0.32, 1);
  transition: all 0.5s cubic-bezier(0.23, 1, 0.32, 1);
}
.demo-close svg {
  width: 24px;
  fill: #fff;
  pointer-events: none;
  vertical-align: top;
}
.demo-close:hover {
  background: #E60000;
}
/* Alinha imagens no centro do modal */
.aligncenter {
    text-align: center;
}